Source

krapture /

Filename Size Date modified Message
Krapture
SikuliServer
1.1 KB
2.0 KB

Build Dependency For Krapture

Toolkit

This project is a C++11 project. The fallowing toolkits are tested on each platforms.

Microsoft Windows

Microsoft Visual C++ >= 2010

GNU/Linux and Mac OS X

GNU Compiler Collection >= 4.6

External Tools

CMake >= 2.6

Libraries

Qt toolkit >= 4.7

Runtime Dependency For Krapture

It needs SikuliServer to work. The path to SikuliServer is configurable. For more information, please see the fallowing secions.

Build Dependency For SikuliServer

Toolkit

Unfortunately, this is a Java project. You need Eclipse to open it.

Install the fallowing libraries, then add them to build path in the Eclipse project.

Libraries

  • Sikuli X >= 1.0, as User Library named Sikuli
  • Gson, as User Library named Gson
  • Commons Codec, as User Library named Commons Codec

GNU/Linux

If you are using packages from distributions, you may also need to add Jython library. This is because package maintainers usually prefer to split them to different packages.

Runtime Dependency For SikuliServer

Sikuli X is developed and only tested with Java Runtime Environment 6. JRE 7 has known issues and may not work properly.

Microsoft Windows

Sikuli X only provides 32-bits JNI binding. This means so far you must use 32-bits JVM.